<?php
/**
 * Template Name: Custom Home Page
 */

get_header(); ?>

<main id="maincontent" role="main">
  <?php do_action( 'architect_architecture_before_slider' ); ?>

  <?php if( get_theme_mod( 'architect_architecture_slider_hide_show', false) != '') { ?>
    <section id="slider">
       <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel" data-bs-interval="<?php echo esc_attr(get_theme_mod( 'architect_architecture_slider_speed',4000)) ?>">
        <?php $architect_architecture_pages = array();
          for ( $count = 1; $count <= 3; $count++ ) {
            $mod = intval( get_theme_mod( 'architect_architecture_slider_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $architect_architecture_pages[] = $mod;
            }
          }
          if( !empty($architect_architecture_pages) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $architect_architecture_pages,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
        ?>
        <div class="carousel-inner" role="listbox">
          <?php while ( $query->have_posts() ) : $query->the_post(); ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <?php the_post_thumbnail(); ?>
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <h1><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
                  <p><?php $excerpt = get_the_excerpt(); echo esc_html( architect_architecture_string_limit_words( $excerpt, esc_attr(get_theme_mod('architect_architecture_slider_excerpt_number','30')))); ?></p>
                  <?php if( get_theme_mod('architect_architecture_slider_button_text','Read More') != ''){ ?>
                    <div class="slider-btn my-4">
                      <a href="<?php echo esc_url(get_permalink()); ?>" class="px-4 py-3"><?php echo esc_html(get_theme_mod('architect_architecture_slider_button_text',__('Read More','architect-architecture')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('architect_architecture_slider_button_text',__('Read More','architect-architecture')));?></span></a>
                    </div>
                  <?php } ?>
                </div>
              </div>
            </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
          <div class="no-postfound"></div>
        <?php endif;
        endif;?>
          <a class="carousel-control-prev" data-bs-target="#carouselExampleCaptions" data-bs-slide="prev" role="button">
            <span class="carousel-control-prev-icon py-2 px-3 w-auto h-auto" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
            <span class="screen-reader-text"><?php esc_html_e( 'Previous','architect-architecture' );?></span>
          </a>
          <a class="carousel-control-next" data-bs-target="#carouselExampleCaptions" data-bs-slide="next" role="button">
            <span class="carousel-control-next-icon py-2 px-3 w-auto h-auto" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
            <span class="screen-reader-text"><?php esc_html_e( 'Next','architect-architecture' );?></span>
          </a>
      </div>
      <div class="clearfix"></div>
    </section>
  <?php }?>

  <?php do_action( 'architect_architecture_after_slider' ); ?>

  <?php if( get_theme_mod( 'architect_architecture_portfolio_heading', false) != '' || get_theme_mod( 'architect_architecture_portfolio_text', false) != '' || get_theme_mod( 'architect_architecture_portfolio_category', false) != '') { ?>
    <section id="services-sec" class="py-5">
      <div class="container">
        <?php if( get_theme_mod('architect_architecture_portfolio_heading') != '' ){ ?>
          <h3 class="text-center"><?php echo esc_html(get_theme_mod('architect_architecture_portfolio_heading',''));?></h3>
          <hr>
        <?php }?>
        <?php if( get_theme_mod('architect_architecture_portfolio_text') != '' ){ ?>
          <p class="text-center heading-text"><?php echo esc_html(get_theme_mod('architect_architecture_portfolio_text',''));?></p>
        <?php }?>
        <div class="owl-carousel">
            <?php
            $architect_architecture_catData = get_theme_mod('architect_architecture_portfolio_category');
            if($architect_architecture_catData){
              $page_query = new WP_Query(array( 'category_name' => esc_html( $architect_architecture_catData ,'architect-architecture')));
              while( $page_query->have_posts() ) : $page_query->the_post(); ?>
                <?php if(has_post_thumbnail()) {?>
                  <div class="box mb-4">
                    <?php the_post_thumbnail(); ?>
                    <div class="box-content text-start">
                      <h4 class="title"><a href="<?php the_permalink();?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h4>
                      <p class="mb-0"><?php $excerpt = get_the_excerpt(); echo esc_html( architect_architecture_string_limit_words( $excerpt, 8)); ?></p>
                    </div>
                  </div>
                <?php }?>
              <?php endwhile;
              wp_reset_postdata();
            } ?>
          </div>
        </div>
      </div>
    </section>
  <?php }?>

  <?php do_action( 'architect_architecture_after_service' ); ?>

  <div id="content-vw" class="py-3">
    <div class="container">
      <?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
      <?php endwhile; // end of the loop. ?>
    </div>
  </div>
</main>

<?php get_footer(); ?>